[Bug libstdc++/20559] cannot link program which uses std::(vector. deque) in SuSE AMDx86_64

pcarlini at suse dot de gcc-bugzilla@gcc.gnu.org
Sat Mar 19 20:52:00 GMT 2005


------- Additional Comments From pcarlini at suse dot de  2005-03-19 20:52 -------
Sorry about the apparently not-so-helpful reply, but really I think something is
broken with your specific setup: if this were a real bug, then basically no 
non-trivial c++ program would work on x86_64, and this is not the case, of
course. Could you possible add --verbose to your command line and attach the
output? It looks like a libstdc++ more recent than the system one is wrongly
linked against. Maybe you have a gcc3.4.x around?!? (the libstdc++ bundled with
gcc3.4.x does not provide __default_alloc_template)

P.S. In any case, this kind of report is more suited for the SUSE Bugzilla.

-- 
           What    |Removed                     |Added
----------------------------------------------------------------------------
             Status|UNCONFIRMED                 |WAITING
          Component|c++                         |libstdc++


http://gcc.gnu.org/bugzilla/show_bug.cgi?id=20559



More information about the Gcc-bugs mailing list